﻿using MusiLib.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MusiLib.Model
{
    public class Manager
    {
        public List<Utilisateur> utilisateurs {  get; private set; }
        public List<Partition> partitions {  get; private set; }

        public Manager() {
            utilisateurs = new List<Utilisateur>(); 
            partitions = new List<Partition>();
        }

        public void ajouterUtilisateur(Utilisateur utilisateur)
        {
            utilisateurs.Add(utilisateur);
        }

        public void ajouterPartition(Partition partition)
        {
            partitions.Add(partition);
        }


        /*public class Manager
        {

            public IPersistenceManager Persistence { get; set; }

            public Manager(IPersistenceManager manager)
            {
                utilisateurs = new ReadOnlyCollection<>
            public List<Partition> partitions { get; private set; }
        }

        public Manager()
        {
            utilisateurs = new List<Utilisateur>();
            partitions = new List<Partition>();
        }

        public void ajouterUtilisateur(Utilisateur utilisateur)
        {
            utilisateurs.Add(utilisateur);
        }

        public void ajouterPartition(Partition partition)
        {
            partitions.Add(partition);
        }


        private void chargeDonnees()
        {
            var donnees = Persistence chargeDonnees();
        }*/

    }
}


